/*
 * Copyright (c) 2004-2009 Atmel Corporation
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. The name of the author may not be used to endorse or promote products
 *    derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

[  0] = { 0,	0,		sys_setup,			"setup"			},
[  1] = { 1,	TP|SE,		sys_exit,			"_exit"			},
[  2] = { 0,	TP,		sys_fork,			"fork"			},
[  3] = { 3,	TD,		sys_read,			"read"			},
[  4] = { 3,	TD,		sys_write,			"write"			},
[  5] = { 3,	TD|TF,		sys_open,			"open"			},
[  6] = { 1,	TD,		sys_close,			"close"			},
[  7] = { 1,	0,		sys_umask,			"umask"			},
[  8] = { 2,	TD|TF,		sys_creat,			"creat"			},
[  9] = { 2,	TF,		sys_link,			"link"			},
[ 10] = { 1,	TF,		sys_unlink,			"unlink"		},
[ 11] = { 3,	TF|TP|SE|SI,	sys_execve,			"execve"		},
[ 12] = { 1,	TF,		sys_chdir,			"chdir"			},
[ 13] = { 1,	0,		sys_time,			"time"			},
[ 14] = { 3,	TF,		sys_mknod,			"mknod"			},
[ 15] = { 2,	TF,		sys_chmod,			"chmod"			},
[ 16] = { 3,	TF,		sys_chown,			"chown"			},
[ 17] = { 3,	TF,		sys_chown,			"lchown"		},
[ 18] = { 3,	TD,		sys_lseek,			"lseek"			},
[ 19] = { 5,	TD,		sys_llseek,			"_llseek"		},
[ 20] = { 0,	0,		sys_getpid,			"getpid"		},
[ 21] = { 5,	TF,		sys_mount,			"mount"			},
[ 22] = { 1,	TF,		sys_umount,			"umount"		},
[ 23] = { 1,	0,		sys_setuid,			"setuid"		},
[ 24] = { 0,	NF,		sys_getuid,			"getuid"		},
[ 25] = { 1,	0,		sys_stime,			"stime"			},
[ 26] = { 4,	0,		sys_ptrace,			"ptrace"		},
[ 27] = { 1,	0,		sys_alarm,			"alarm"			},
[ 28] = { 0,	TS,		sys_pause,			"pause"			},
[ 29] = { 2,	TF,		sys_utime,			"utime"			},
[ 30] = { 2,	TF,		sys_stat,			"stat"			},
[ 31] = { 2,	TD,		sys_fstat,			"fstat"			},
[ 32] = { 2,	TF,		sys_lstat,			"lstat"			},
[ 33] = { 2,	TF,		sys_access,			"access"		},
[ 34] = { 1,	TF,		sys_chroot,			"chroot"		},
[ 35] = { 0,	0,		sys_sync,			"sync"			},
[ 36] = { 1,	TD,		sys_fsync,			"fsync"			},
[ 37] = { 2,	TS,		sys_kill,			"kill"			},
[ 38] = { 2,	TF,		sys_rename,			"rename"		},
[ 39] = { 2,	TF,		sys_mkdir,			"mkdir"			},
[ 40] = { 1,	TF,		sys_rmdir,			"rmdir"			},
[ 41] = { 1,	TD,		sys_dup,			"dup"			},
[ 42] = { 1,	TD,		sys_pipe,			"pipe"			},
[ 43] = { 1,	0,		sys_times,			"times"			},
[ 44] = { 5,	TP,		sys_clone,			"clone"			},
[ 45] = { 1,	TM|SI,		sys_brk,			"brk"			},
[ 46] = { 1,	0,		sys_setgid,			"setgid"		},
[ 47] = { 0,	NF,		sys_getgid,			"getgid"		},
[ 48] = { 2,	TF,		sys_getcwd,			"getcwd"		},
[ 49] = { 0,	NF,		sys_geteuid,			"geteuid"		},
[ 50] = { 0,	NF,		sys_getegid,			"getegid"		},
[ 51] = { 1,	TF,		sys_acct,			"acct"			},
[ 52] = { 1,	NF,		sys_setfsuid,			"setfsuid"		},
[ 53] = { 1,	NF,		sys_setfsgid,			"setfsgid"		},
[ 54] = { 3,	TD,		sys_ioctl,			"ioctl"			},
[ 55] = { 3,	TD,		sys_fcntl,			"fcntl"			},
[ 56] = { 2,	0,		sys_setpgid,			"setpgid"		},
[ 57] = { 5,	TM|SI,		sys_mremap,			"mremap"		},
[ 58] = { 3,	0,		sys_setresuid,			"setresuid"		},
[ 59] = { 3,	0,		sys_getresuid,			"getresuid"		},
[ 60] = { 2,	0,		sys_setreuid,			"setreuid"		},
[ 61] = { 2,	0,		sys_setregid,			"setregid"		},
[ 62] = { 2,	0,		sys_ustat,			"ustat"			},
[ 63] = { 2,	TD,		sys_dup2,			"dup2"			},
[ 64] = { 0,	0,		sys_getppid,			"getppid"		},
[ 65] = { 0,	0,		sys_getpgrp,			"getpgrp"		},
[ 66] = { 0,	0,		sys_setsid,			"setsid"		},
[ 67] = { 4,	TS,		sys_rt_sigaction,		"rt_sigaction"		},
[ 68] = { 0,	TS,		sys_rt_sigreturn,		"rt_sigreturn"		},
[ 69] = { 4,	TS,		sys_rt_sigprocmask,		"rt_sigprocmask"	},
[ 70] = { 2,	TS,		sys_rt_sigpending,		"rt_sigpending"		},
[ 71] = { 4,	TS,		sys_rt_sigtimedwait,		"rt_sigtimedwait"	},
[ 72] = { 3,	TS,		sys_rt_sigqueueinfo,		"rt_sigqueueinfo"	},
[ 73] = { 2,	TS,		sys_rt_sigsuspend,		"rt_sigsuspend"		},
[ 74] = { 2,	0,		sys_sethostname,		"sethostname"		},
[ 75] = { 2,	0,		sys_setrlimit,			"setrlimit"		},
[ 76] = { 2,	0,		sys_getrlimit,			"getrlimit"		},
[ 77] = { 2,	0,		sys_getrusage,			"getrusage"		},
[ 78] = { 2,	0,		sys_gettimeofday,		"gettimeofday"		},
[ 79] = { 2,	0,		sys_settimeofday,		"settimeofday"		},
[ 80] = { 2,	0,		sys_getgroups,			"getgroups"		},
[ 81] = { 2,	0,		sys_setgroups,			"setgroups"		},
[ 82] = { 5,	TD,		sys_select,			"select"		},
[ 83] = { 2,	TF,		sys_symlink,			"symlink"		},
[ 84] = { 1,	TD,		sys_fchdir,			"fchdir"		},
[ 85] = { 3,	TF,		sys_readlink,			"readlink"		},
[ 86] = { 5,	TD,		sys_pread,			"pread"			},
[ 87] = { 5,	TD,		sys_pwrite,			"pwrite"		},
[ 88] = { 2,	TF,		sys_swapon,			"swapon"		},
[ 89] = { 4,	0,		sys_reboot,			"reboot"		},
[ 90] = { 6,	TD|TM|SI,	sys_mmap_pgoff,			"mmap"			},
[ 91] = { 2,	TM|SI,		sys_munmap,			"munmap"		},
[ 92] = { 2,	TF,		sys_truncate,			"truncate"		},
[ 93] = { 2,	TD,		sys_ftruncate,			"ftruncate"		},
[ 94] = { 2,	TD,		sys_fchmod,			"fchmod"		},
[ 95] = { 3,	TD,		sys_fchown,			"fchown"		},
[ 96] = { 2,	0,		sys_getpriority,		"getpriority"		},
[ 97] = { 3,	0,		sys_setpriority,		"setpriority"		},
[ 98] = { 4,	TP,		sys_wait4,			"wait4"			},
[ 99] = { 2,	TF,		sys_statfs,			"statfs"		},
[100] = { 2,	TD,		sys_fstatfs,			"fstatfs"		},
[101] = { 0,	0,		sys_vhangup,			"vhangup"		},
[102] = { 2,	TS,		sys_sigaltstack,		"sigaltstack"		},
[103] = { 3,	0,		sys_syslog,			"syslog"		},
[104] = { 3,	0,		sys_setitimer,			"setitimer"		},
[105] = { 2,	0,		sys_getitimer,			"getitimer"		},
[106] = { 1,	TF,		sys_swapoff,			"swapoff"		},
[107] = { 1,	0,		sys_sysinfo,			"sysinfo"		},
[108] = { 6,	TI,		sys_ipc,			"ipc"			},
[109] = { 4,	TD|TN,		sys_sendfile,			"sendfile"		},
[110] = { 2,	0,		sys_setdomainname,		"setdomainname"		},
[111] = { 1,	0,		sys_uname,			"uname"			},
[112] = { 1,	0,		sys_adjtimex,			"adjtimex"		},
[113] = { 3,	TM|SI,		sys_mprotect,			"mprotect"		},
[114] = { 0,	TP,		sys_vfork,			"vfork"			},
[115] = { 3,	0,		sys_init_module,		"init_module"		},
[116] = { 2,	0,		sys_delete_module,		"delete_module"		},
[117] = { 4,	TF,		sys_quotactl,			"quotactl"		},
[118] = { 1,	0,		sys_getpgid,			"getpgid"		},
[119] = { 0,	0,		sys_bdflush,			"bdflush"		},
[120] = { 3,	0,		sys_sysfs,			"sysfs"			},
[121] = { 1,	0,		sys_personality,		"personality"		},
[122] = { 5,	0,		sys_afs_syscall,		"afs_syscall"		},
[123] = { 3,	TD,		sys_getdents,			"getdents"		},
[124] = { 2,	TD,		sys_flock,			"flock"			},
[125] = { 3,	TM,		sys_msync,			"msync"			},
[126] = { 3,	TD,		sys_readv,			"readv"			},
[127] = { 3,	TD,		sys_writev,			"writev"		},
[128] = { 1,	0,		sys_getsid,			"getsid"		},
[129] = { 1,	TD,		sys_fdatasync,			"fdatasync"		},
[130] = { 1,	0,		sys_sysctl,			"_sysctl"		},
[131] = { 2,	TM,		sys_mlock,			"mlock"			},
[132] = { 2,	TM,		sys_munlock,			"munlock"		},
[133] = { 1,	TM,		sys_mlockall,			"mlockall"		},
[134] = { 0,	TM,		sys_munlockall,			"munlockall"		},
[135] = { 2,	0,		sys_sched_setparam,		"sched_setparam"	},
[136] = { 2,	0,		sys_sched_getparam,		"sched_getparam"	},
[137] = { 3,	0,		sys_sched_setscheduler,		"sched_setscheduler"	},
[138] = { 1,	0,		sys_sched_getscheduler,		"sched_getscheduler"	},
[139] = { 0,	0,		sys_sched_yield,		"sched_yield"		},
[140] = { 1,	0,		sys_sched_get_priority_max,	"sched_get_priority_max"},
[141] = { 1,	0,		sys_sched_get_priority_min,	"sched_get_priority_min"},
[142] = { 2,	0,		sys_sched_rr_get_interval,	"sched_rr_get_interval"	},
[143] = { 2,	0,		sys_nanosleep,			"nanosleep"		},
[144] = { 3,	TD,		sys_poll,			"poll"			},
[145] = { 3,	0,		sys_nfsservctl,			"nfsservctl"		},
[146] = { 3,	0,		sys_setresgid,			"setresgid"		},
[147] = { 3,	0,		sys_getresgid,			"getresgid"		},
[148] = { 5,	0,		sys_prctl,			"prctl"			},
[149] = { 3,	TN,		sys_socket,			"socket"		},
[150] = { 3,	TN,		sys_bind,			"bind"			},
[151] = { 3,	TN,		sys_connect,			"connect"		},
[152] = { 2,	TN,		sys_listen,			"listen"		},
[153] = { 3,	TN,		sys_accept,			"accept"		},
[154] = { 3,	TN,		sys_getsockname,		"getsockname"		},
[155] = { 3,	TN,		sys_getpeername,		"getpeername"		},
[156] = { 4,	TN,		sys_socketpair,			"socketpair"		},
[157] = { 4,	TN,		sys_send,			"send"			},
[158] = { 4,	TN,		sys_recv,			"recv"			},
[159] = { 6,	TN,		sys_sendto,			"sendto"		},
[160] = { 6,	TN,		sys_recvfrom,			"recvfrom"		},
[161] = { 2,	TN,		sys_shutdown,			"shutdown"		},
[162] = { 5,	TN,		sys_setsockopt,			"setsockopt"		},
[163] = { 5,	TN,		sys_getsockopt,			"getsockopt"		},
[164] = { 3,	TN,		sys_sendmsg,			"sendmsg"		},
[165] = { 3,	TN,		sys_recvmsg,			"recvmsg"		},
[166] = { 3,	TF,		sys_truncate64,			"truncate64"		},
[167] = { 3,	TD,		sys_ftruncate64,		"ftruncate64"		},
[168] = { 2,	TF,		sys_stat64,			"stat64"		},
[169] = { 2,	TF,		sys_lstat64,			"lstat64"		},
[170] = { 2,	TD,		sys_fstat64,			"fstat64"		},
[171] = { 2,	TF,		sys_pivotroot,			"pivot_root"		},
[172] = { 3,	TM,		sys_mincore,			"mincore"		},
[173] = { 3,	TM,		sys_madvise,			"madvise"		},
[174] = { 3,	TD,		sys_getdents64,			"getdents64"		},
[175] = { 3,	TD,		sys_fcntl,			"fcntl64"		},
[176] = { 0,	0,		sys_gettid,			"gettid"		},
[177] = { 4,	TD,		sys_readahead,			"readahead"		},
[178] = { 5,	TF,		sys_setxattr,			"setxattr"		},
[179] = { 5,	TF,		sys_setxattr,			"lsetxattr"		},
[180] = { 5,	TD,		sys_fsetxattr,			"fsetxattr"		},
[181] = { 4,	TF,		sys_getxattr,			"getxattr"		},
[182] = { 4,	TF,		sys_getxattr,			"lgetxattr"		},
[183] = { 4,	TD,		sys_fgetxattr,			"fgetxattr"		},
[184] = { 3,	TF,		sys_listxattr,			"listxattr"		},
[185] = { 3,	TF,		sys_listxattr,			"llistxattr"		},
[186] = { 3,	TD,		sys_flistxattr,			"flistxattr"		},
[187] = { 2,	TF,		sys_removexattr,		"removexattr"		},
[188] = { 2,	TF,		sys_removexattr,		"lremovexattr"		},
[189] = { 2,	TD,		sys_fremovexattr,		"fremovexattr"		},
[190] = { 2,	TS,		sys_kill,			"tkill"			},
[191] = { 4,	TD|TN,		sys_sendfile64,			"sendfile64"		},
[192] = { 6,	0,		sys_futex,			"futex"			},
[193] = { 3,	0,		sys_sched_setaffinity,		"sched_setaffinity"	},
[194] = { 3,	0,		sys_sched_getaffinity,		"sched_getaffinity"	},
[195] = { 2,	0,		sys_capget,			"capget"		},
[196] = { 2,	0,		sys_capset,			"capset"		},
[197] = { 2,	0,		sys_io_setup,			"io_setup"		},
[198] = { 1,	0,		sys_io_destroy,			"io_destroy"		},
[199] = { 5,	0,		sys_io_getevents,		"io_getevents"		},
[200] = { 3,	0,		sys_io_submit,			"io_submit"		},
[201] = { 3,	0,		sys_io_cancel,			"io_cancel"		},
[202] = { 5,	TD,		sys_fadvise64,			"fadvise64"		},
[203] = { 1,	TP|SE,		sys_exit,			"exit_group"		},
[204] = { 4,	0,		sys_lookup_dcookie,		"lookup_dcookie"	},
[205] = { 1,	TD,		sys_epoll_create,		"epoll_create"		},
[206] = { 4,	TD,		sys_epoll_ctl,			"epoll_ctl"		},
[207] = { 4,	TD,		sys_epoll_wait,			"epoll_wait"		},
[208] = { 5,	TM|SI,		sys_remap_file_pages,		"remap_file_pages"	},
[209] = { 1,	0,		sys_set_tid_address,		"set_tid_address"	},
[210] = { 3,	0,		sys_timer_create,		"timer_create"		},
[211] = { 4,	0,		sys_timer_settime,		"timer_settime"		},
[212] = { 2,	0,		sys_timer_gettime,		"timer_gettime"		},
[213] = { 1,	0,		sys_timer_getoverrun,		"timer_getoverrun"	},
[214] = { 1,	0,		sys_timer_delete,		"timer_delete"		},
[215] = { 2,	0,		sys_clock_settime,		"clock_settime"		},
[216] = { 2,	0,		sys_clock_gettime,		"clock_gettime"		},
[217] = { 2,	0,		sys_clock_getres,		"clock_getres"		},
[218] = { 4,	0,		sys_clock_nanosleep,		"clock_nanosleep"	},
[219] = { 3,	TF,		sys_statfs64,			"statfs64"		},
[220] = { 3,	TD,		sys_fstatfs64,			"fstatfs64"		},
[221] = { 3,	TS,		sys_tgkill,			"tgkill"		},
[222] = { },
[223] = { 2,	TF,		sys_utimes,			"utimes"		},
[224] = { 6,	TD,		sys_fadvise64_64,		"fadvise64_64"		},
[225] = { 3,	0,		printargs,			"cacheflush"		},
[226] = { 5,	0,		sys_vserver,			"vserver"		},
[227] = { 4,	0,		sys_mq_open,			"mq_open"		},
[228] = { 1,	0,		sys_mq_unlink,			"mq_unlink"		},
[229] = { 5,	0,		sys_mq_timedsend,		"mq_timedsend"		},
[230] = { 5,	0,		sys_mq_timedreceive,		"mq_timedreceive"	},
[231] = { 2,	0,		sys_mq_notify,			"mq_notify"		},
[232] = { 3,	0,		sys_mq_getsetattr,		"mq_getsetattr"		},
[233] = { 4,	0,		sys_kexec_load,			"kexec_load"		},
[234] = { 5,	TP,		sys_waitid,			"waitid"		},
[235] = { 5,	0,		sys_add_key,			"add_key"		},
[236] = { 4,	0,		sys_request_key,		"request_key"		},
[237] = { 5,	0,		sys_keyctl,			"keyctl"		},
[238] = { 3,	0,		sys_ioprio_set,			"ioprio_set"		},
[239] = { 2,	0,		sys_ioprio_get,			"ioprio_get"		},
[240] = { 0,	TD,		sys_inotify_init,		"inotify_init"		},
[241] = { 3,	TD,		sys_inotify_add_watch,		"inotify_add_watch"	},
[242] = { 2,	TD,		sys_inotify_rm_watch,		"inotify_rm_watch"	},
[243] = { 4,	TD|TF,		sys_openat,			"openat"		},
[244] = { 3,	TD|TF,		sys_mkdirat,			"mkdirat"		},
[245] = { 4,	TD|TF,		sys_mknodat,			"mknodat"		},
[246] = { 5,	TD|TF,		sys_fchownat,			"fchownat"		},
[247] = { 3,	TD|TF,		sys_futimesat,			"futimesat"		},
[248] = { 4,	TD|TF,		printargs,			"fstatat64"		},
[249] = { 3,	TD|TF,		sys_unlinkat,			"unlinkat"		},
[250] = { 4,	TD|TF,		sys_renameat,			"renameat"		},
[251] = { 5,	TD|TF,		sys_linkat,			"linkat"		},
[252] = { 3,	TD|TF,		sys_symlinkat,			"symlinkat"		},
[253] = { 4,	TD|TF,		sys_readlinkat,			"readlinkat"		},
[254] = { 3,	TD|TF,		sys_fchmodat,			"fchmodat"		},
[255] = { 3,	TD|TF,		sys_faccessat,			"faccessat"		},
[256] = { 6,	TD,		sys_pselect6,			"pselect6"		},
[257] = { 5,	TD,		sys_ppoll,			"ppoll"			},
[258] = { 1,	TP,		sys_unshare,			"unshare"		},
[259] = { 2,	0,		sys_set_robust_list,		"set_robust_list"	},
[260] = { 3,	0,		sys_get_robust_list,		"get_robust_list"	},
[261] = { 6,	TD,		sys_splice,			"splice"		},
[262] = { 6,	TD,		sys_sync_file_range,		"sync_file_range"	},
[263] = { 4,	TD,		sys_tee,			"tee"			},
[264] = { 4,	TD,		sys_vmsplice,			"vmsplice"		},
[265] = { 6,	TD,		sys_epoll_pwait,		"epoll_pwait"		},
[266] = { 2,	TI,		sys_msgget,			"msgget"		},
[267] = { 4,	TI,		sys_msgsnd,			"msgsnd"		},
[268] = { 5,	TI,		sys_msgrcv,			"msgrcv"		},
[269] = { 3,	TI,		sys_msgctl,			"msgctl"		},
[270] = { 3,	TI,		sys_semget,			"semget"		},
[271] = { 3,	TI,		sys_semop,			"semop"			},
[272] = { 4,	TI,		sys_semctl,			"semctl"		},
[273] = { 4,	TI,		sys_semtimedop,			"semtimedop"		},
[274] = { 3,	TI|TM|SI,	sys_shmat,			"shmat"			},
[275] = { 3,	TI,		sys_shmget,			"shmget"		},
[276] = { 1,	TI|TM|SI,	sys_shmdt,			"shmdt"			},
[277] = { 3,	TI,		sys_shmctl,			"shmctl"		},
[278] = { 4,	TD|TF,		sys_utimensat,			"utimensat"		},
[279] = { 3,	TD|TS,		sys_signalfd,			"signalfd"		},
[280] = { 2,	TD,		sys_timerfd,			"timerfd"		},
[281] = { 1,	TD,		sys_eventfd,			"eventfd"		},
[282] = { },
[283] = { 2,	TD,		sys_setns,			"setns"			},
