#if defined LINUX_MIPSO32
/* For an O32 strace, decode the o32 syscalls.  */
[4000] = { MA,	0,		printargs,			"syscall"		}, /* start of Linux o32 */
[4001] = { 1,	TP|SE,		sys_exit,			"exit"			},
[4002] = { 0,	TP,		sys_fork,			"fork"			},
[4003] = { 3,	TD,		sys_read,			"read"			},
[4004] = { 3,	TD,		sys_write,			"write"			},
[4005] = { 3,	TD|TF,		sys_open,			"open"			},
[4006] = { 1,	TD,		sys_close,			"close"			},
[4007] = { 3,	TP,		sys_waitpid,			"waitpid"		},
[4008] = { 2,	TD|TF,		sys_creat,			"creat"			},
[4009] = { 2,	TF,		sys_link,			"link"			},
[4010] = { 1,	TF,		sys_unlink,			"unlink"		},
[4011] = { 3,	TF|TP|SE|SI,	sys_execve,			"execve"		},
[4012] = { 1,	TF,		sys_chdir,			"chdir"			},
[4013] = { 1,	0,		sys_time,			"time"			},
[4014] = { 3,	TF,		sys_mknod,			"mknod"			},
[4015] = { 2,	TF,		sys_chmod,			"chmod"			},
[4016] = { 3,	TF,		sys_chown,			"lchown"		},
[4017] = { 0,	TM,		sys_break,			"break"			},
[4018] = { 2,	TF,		sys_oldstat,			"oldstat"		},
[4019] = { 3,	TD,		sys_lseek,			"lseek"			},
[4020] = { 0,	0,		sys_getpid,			"getpid"		},
[4021] = { 5,	TF,		sys_mount,			"mount"			},
[4022] = { 1,	TF,		sys_umount,			"umount"		},
[4023] = { 1,	0,		sys_setuid,			"setuid"		},
[4024] = { 0,	NF,		sys_getuid,			"getuid"		},
[4025] = { 1,	0,		sys_stime,			"stime"			},
[4026] = { 4,	0,		sys_ptrace,			"ptrace"		},
[4027] = { 1,	0,		sys_alarm,			"alarm"			},
[4028] = { 2,	TD,		sys_oldfstat,			"oldfstat"		},
[4029] = { 0,	TS,		sys_pause,			"pause"			},
[4030] = { 2,	TF,		sys_utime,			"utime"			},
[4031] = { 0,	0,		sys_stty,			"stty"			},
[4032] = { 0,	0,		sys_gtty,			"gtty"			},
[4033] = { 2,	TF,		sys_access,			"access"		},
[4034] = { 1,	0,		sys_nice,			"nice"			},
[4035] = { 1,	0,		sys_ftime,			"ftime"			},
[4036] = { 0,	0,		sys_sync,			"sync"			},
[4037] = { 2,	TS,		sys_kill,			"kill"			},
[4038] = { 2,	TF,		sys_rename,			"rename"		},
[4039] = { 2,	TF,		sys_mkdir,			"mkdir"			},
[4040] = { 1,	TF,		sys_rmdir,			"rmdir"			},
[4041] = { 1,	TD,		sys_dup,			"dup"			},
[4042] = { 1,	TD,		sys_pipe,			"pipe"			},
[4043] = { 1,	0,		sys_times,			"times"			},
[4044] = { 0,	0,		sys_prof,			"prof"			},
[4045] = { 1,	TM|SI,		sys_brk,			"brk"			},
[4046] = { 1,	0,		sys_setgid,			"setgid"		},
[4047] = { 0,	NF,		sys_getgid,			"getgid"		},
[4048] = { 1,	TS,		sys_signal,			"signal"		},
[4049] = { 0,	NF,		sys_geteuid,			"geteuid"		},
[4050] = { 0,	NF,		sys_getegid,			"getegid"		},
[4051] = { 1,	TF,		sys_acct,			"acct"			},
[4052] = { 2,	TF,		sys_umount2,			"umount2"		},
[4053] = { 0,	0,		sys_lock,			"lock"			},
[4054] = { 3,	TD,		sys_ioctl,			"ioctl"			},
[4055] = { 3,	TD,		sys_fcntl,			"fcntl"			},
[4056] = { 0,	0,		sys_mpx,			"mpx"			},
[4057] = { 2,	0,		sys_setpgid,			"setpgid"		},
[4058] = { 0,	0,		sys_ulimit,			"ulimit"		},
[4059] = { 1,	0,		sys_oldolduname,		"oldolduname"		},
[4060] = { 1,	0,		sys_umask,			"umask"			},
[4061] = { 1,	TF,		sys_chroot,			"chroot"		},
[4062] = { 2,	0,		sys_ustat,			"ustat"			},
[4063] = { 2,	TD,		sys_dup2,			"dup2"			},
[4064] = { 0,	0,		sys_getppid,			"getppid"		},
[4065] = { 0,	0,		sys_getpgrp,			"getpgrp"		},
[4066] = { 0,	0,		sys_setsid,			"setsid"		},
[4067] = { 3,	TS,		sys_sigaction,			"sigaction"		},
[4068] = { 0,	TS,		sys_siggetmask,			"sgetmask"		},
[4069] = { 1,	TS,		sys_sigsetmask,			"ssetmask"		},
[4070] = { 2,	0,		sys_setreuid,			"setreuid"		},
[4071] = { 2,	0,		sys_setregid,			"setregid"		},
[4072] = { 3,	TS,		sys_sigsuspend,			"sigsuspend"		},
[4073] = { 1,	TS,		sys_sigpending,			"sigpending"		},
[4074] = { 2,	0,		sys_sethostname,		"sethostname"		},
[4075] = { 2,	0,		sys_setrlimit,			"setrlimit"		},
[4076] = { 2,	0,		sys_getrlimit,			"getrlimit"		},
[4077] = { 2,	0,		sys_getrusage,			"getrusage"		},
[4078] = { 2,	0,		sys_gettimeofday,		"gettimeofday"		},
[4079] = { 2,	0,		sys_settimeofday,		"settimeofday"		},
[4080] = { 2,	0,		sys_getgroups,			"getgroups"		},
[4081] = { 2,	0,		sys_setgroups,			"setgroups"		},
[4082] = { 0,	0,		printargs,			"reserved82"		},
[4083] = { 2,	TF,		sys_symlink,			"symlink"		},
[4084] = { 2,	TF,		sys_oldlstat,			"oldlstat"		},
[4085] = { 3,	TF,		sys_readlink,			"readlink"		},
[4086] = { 1,	TF,		sys_uselib,			"uselib"		},
[4087] = { 2,	TF,		sys_swapon,			"swapon"		},
[4088] = { 4,	0,		sys_reboot,			"reboot"		},
[4089] = { 3,	TD,		sys_readdir,			"readdir"		},
[4090] = { 6,	TD|TM|SI,	sys_mmap,			"mmap"			},
[4091] = { 2,	TM|SI,		sys_munmap,			"munmap"		},
[4092] = { 2,	TF,		sys_truncate,			"truncate"		},
[4093] = { 2,	TD,		sys_ftruncate,			"ftruncate"		},
[4094] = { 2,	TD,		sys_fchmod,			"fchmod"		},
[4095] = { 3,	TD,		sys_fchown,			"fchown"		},
[4096] = { 2,	0,		sys_getpriority,		"getpriority"		},
[4097] = { 3,	0,		sys_setpriority,		"setpriority"		},
[4098] = { 0,	0,		sys_profil,			"profil"		},
[4099] = { 3,	TF,		sys_statfs,			"statfs"		},
[4100] = { 3,	TD,		sys_fstatfs,			"fstatfs"		},
[4101] = { 0,	0,		sys_ioperm,			"ioperm"		},
[4102] = { 2,	TD,		sys_socketcall,			"socketcall"		},
[4103] = { 3,	0,		sys_syslog,			"syslog"		},
[4104] = { 3,	0,		sys_setitimer,			"setitimer"		},
[4105] = { 2,	0,		sys_getitimer,			"getitimer"		},
[4106] = { 2,	TF,		sys_stat,			"stat"			},
[4107] = { 2,	TF,		sys_lstat,			"lstat"			},
[4108] = { 2,	TD,		sys_fstat,			"fstat"			},
[4109] = { 1,	0,		sys_olduname,			"olduname"		},
[4110] = { 0,	0,		sys_iopl,			"iopl"			},
[4111] = { 0,	0,		sys_vhangup,			"vhangup"		},
[4112] = { 0,	0,		sys_idle,			"idle"			},
[4113] = { 5,	0,		sys_vm86old,			"vm86"			},
[4114] = { 4,	TP,		sys_wait4,			"wait4"			},
[4115] = { 1,	TF,		sys_swapoff,			"swapoff"		},
[4116] = { 1,	0,		sys_sysinfo,			"sysinfo"		},
[4117] = { 6,	TI,		sys_ipc,			"ipc"			},
[4118] = { 1,	TD,		sys_fsync,			"fsync"			},
[4119] = { 0,	TS,		sys_sigreturn,			"sigreturn"		},
[4120] = { 5,	TP,		sys_clone,			"clone"			},
[4121] = { 2,	0,		sys_setdomainname,		"setdomainname"		},
[4122] = { 1,	0,		sys_uname,			"uname"			},
[4123] = { 0,	0,		sys_modify_ldt,			"modify_ldt"		},
[4124] = { 1,	0,		sys_adjtimex,			"adjtimex"		},
[4125] = { 3,	TM|SI,		sys_mprotect,			"mprotect"		},
[4126] = { 3,	TS,		sys_sigprocmask,		"sigprocmask"		},
[4127] = { 2,	0,		sys_create_module,		"create_module"		},
[4128] = { 3,	0,		sys_init_module,		"init_module"		},
[4129] = { 2,	0,		sys_delete_module,		"delete_module"		},
[4130] = { 1,	0,		sys_get_kernel_syms,		"get_kernel_syms"	},
[4131] = { 4,	TF,		sys_quotactl,			"quotactl"		},
[4132] = { 1,	0,		sys_getpgid,			"getpgid"		},
[4133] = { 1,	TD,		sys_fchdir,			"fchdir"		},
[4134] = { 2,	0,		sys_bdflush,			"bdflush"		},
[4135] = { 3,	0,		sys_sysfs,			"sysfs"			},
[4136] = { 1,	0,		sys_personality,		"personality"		},
[4137] = { 0,	0,		sys_afs_syscall,		"afs_syscall"		},
[4138] = { 1,	NF,		sys_setfsuid,			"setfsuid"		},
[4139] = { 1,	NF,		sys_setfsgid,			"setfsgid"		},
[4140] = { 5,	TD,		sys_llseek,			"_llseek"		},
[4141] = { 3,	TD,		sys_getdents,			"getdents"		},
[4142] = { 5,	TD,		sys_select,			"select"		},
[4143] = { 2,	TD,		sys_flock,			"flock"			},
[4144] = { 3,	TM,		sys_msync,			"msync"			},
[4145] = { 3,	TD,		sys_readv,			"readv"			},
[4146] = { 3,	TD,		sys_writev,			"writev"		},
[4147] = { 3,	0,		printargs,			"cacheflush"		},
[4148] = { 3,	0,		printargs,			"cachectl"		},
[4149] = { 4,	0,		sys_sysmips,			"sysmips"		},
[4150] = { 0,	0,		sys_setup,			"setup"			},
[4151] = { 1,	0,		sys_getsid,			"getsid"		},
[4152] = { 1,	TD,		sys_fdatasync,			"fdatasync"		},
[4153] = { 1,	0,		sys_sysctl,			"_sysctl"		},
[4154] = { 2,	TM,		sys_mlock,			"mlock"			},
[4155] = { 2,	TM,		sys_munlock,			"munlock"		},
[4156] = { 1,	TM,		sys_mlockall,			"mlockall"		},
[4157] = { 0,	TM,		sys_munlockall,			"munlockall"		},
[4158] = { 2,	0,		sys_sched_setparam,		"sched_setparam"	},
[4159] = { 2,	0,		sys_sched_getparam,		"sched_getparam"	},
[4160] = { 3,	0,		sys_sched_setscheduler,		"sched_setscheduler"	},
[4161] = { 1,	0,		sys_sched_getscheduler,		"sched_getscheduler"	},
[4162] = { 0,	0,		sys_sched_yield,		"sched_yield"		},
[4163] = { 1,	0,		sys_sched_get_priority_max,	"sched_get_priority_max"},
[4164] = { 1,	0,		sys_sched_get_priority_min,	"sched_get_priority_min"},
[4165] = { 2,	0,		sys_sched_rr_get_interval,	"sched_rr_get_interval"	},
[4166] = { 2,	0,		sys_nanosleep,			"nanosleep"		},
[4167] = { 5,	TM|SI,		sys_mremap,			"mremap"		},
[4168] = { 3,	TN,		sys_accept,			"accept"		},
[4169] = { 3,	TN,		sys_bind,			"bind"			},
[4170] = { 3,	TN,		sys_connect,			"connect"		},
[4171] = { 3,	TN,		sys_getpeername,		"getpeername"		},
[4172] = { 3,	TN,		sys_getsockname,		"getsockname"		},
[4173] = { 5,	TN,		sys_getsockopt,			"getsockopt"		},
[4174] = { 2,	TN,		sys_listen,			"listen"		},
[4175] = { 4,	TN,		sys_recv,			"recv"			},
[4176] = { 6,	TN,		sys_recvfrom,			"recvfrom"		},
[4177] = { 3,	TN,		sys_recvmsg,			"recvmsg"		},
[4178] = { 4,	TN,		sys_send,			"send"			},
[4179] = { 3,	TN,		sys_sendmsg,			"sendmsg"		},
[4180] = { 6,	TN,		sys_sendto,			"sendto"		},
[4181] = { 5,	TN,		sys_setsockopt,			"setsockopt"		},
[4182] = { 2,	TN,		sys_shutdown,			"shutdown"		},
[4183] = { 3,	TN,		sys_socket,			"socket"		},
[4184] = { 4,	TN,		sys_socketpair,			"socketpair"		},
[4185] = { 3,	0,		sys_setresuid,			"setresuid"		},
[4186] = { 3,	0,		sys_getresuid,			"getresuid"		},
[4187] = { 5,	0,		sys_query_module,		"query_module"		},
[4188] = { 3,	TD,		sys_poll,			"poll"			},
[4189] = { 3,	0,		sys_nfsservctl,			"nfsservctl"		},
[4190] = { 3,	0,		sys_setresgid,			"setresgid"		},
[4191] = { 3,	0,		sys_getresgid,			"getresgid"		},
[4192] = { 5,	0,		sys_prctl,			"prctl"			},
[4193] = { 0,	TS,		sys_rt_sigreturn,		"rt_sigreturn"		},
[4194] = { 4,	TS,		sys_rt_sigaction,		"rt_sigaction"		},
[4195] = { 4,	TS,		sys_rt_sigprocmask,		"rt_sigprocmask"	},
[4196] = { 2,	TS,		sys_rt_sigpending,		"rt_sigpending"		},
[4197] = { 4,	TS,		sys_rt_sigtimedwait,		"rt_sigtimedwait"	},
[4198] = { 3,	TS,		sys_rt_sigqueueinfo,		"rt_sigqueueinfo"	},
[4199] = { 2,	TS,		sys_rt_sigsuspend,		"rt_sigsuspend"		},
[4200] = { 6,	TD,		sys_pread,			"pread64"		},
[4201] = { 6,	TD,		sys_pwrite,			"pwrite64"		},
[4202] = { 3,	TF,		sys_chown,			"chown"			},
[4203] = { 2,	TF,		sys_getcwd,			"getcwd"		},
[4204] = { 2,	0,		sys_capget,			"capget"		},
[4205] = { 2,	0,		sys_capset,			"capset"		},
[4206] = { 2,	TS,		sys_sigaltstack,		"sigaltstack"		},
[4207] = { 4,	TD|TN,		sys_sendfile,			"sendfile"		},
[4208] = { 5,	TN,		printargs,			"getpmsg"		},
[4209] = { 5,	TN,		printargs,			"putpmsg"		},
[4210] = { 6,	TD|TM|SI,	sys_mmap_4koff,			"mmap2"			},
[4211] = { 4,	TF,		sys_truncate64,			"truncate64"		},
[4212] = { 4,	TD,		sys_ftruncate64,		"ftruncate64"		},
[4213] = { 2,	TF,		sys_stat64,			"stat64"		},
[4214] = { 2,	TF,		sys_lstat64,			"lstat64"		},
[4215] = { 2,	TD,		sys_fstat64,			"fstat64"		},
[4216] = { 2,	TF,		sys_pivotroot,			"pivot_root"		},
[4217] = { 3,	TM,		sys_mincore,			"mincore"		},
[4218] = { 3,	TM,		sys_madvise,			"madvise"		},
[4219] = { 3,	TD,		sys_getdents64,			"getdents64"		},
[4220] = { 3,	TD,		sys_fcntl,			"fcntl64"		},
[4221] = { },
[4222] = { 0,	0,		sys_gettid,			"gettid"		},
[4223] = { 5,	TD,		sys_readahead,			"readahead"		},
[4224] = { 5,	TF,		sys_setxattr,			"setxattr"		},
[4225] = { 5,	TF,		sys_setxattr,			"lsetxattr"		},
[4226] = { 5,	TD,		sys_fsetxattr,			"fsetxattr"		},
[4227] = { 4,	TF,		sys_getxattr,			"getxattr"		},
[4228] = { 4,	TF,		sys_getxattr,			"lgetxattr"		},
[4229] = { 4,	TD,		sys_fgetxattr,			"fgetxattr"		},
[4230] = { 3,	TF,		sys_listxattr,			"listxattr"		},
[4231] = { 3,	TF,		sys_listxattr,			"llistxattr"		},
[4232] = { 3,	TD,		sys_flistxattr,			"flistxattr"		},
[4233] = { 2,	TF,		sys_removexattr,		"removexattr"		},
[4234] = { 2,	TF,		sys_removexattr,		"lremovexattr"		},
[4235] = { 2,	TD,		sys_fremovexattr,		"fremovexattr"		},
[4236] = { 2,	TS,		sys_kill,			"tkill"			},
[4237] = { 4,	TD|TN,		sys_sendfile64,			"sendfile64"		},
[4238] = { 6,	0,		sys_futex,			"futex"			},
[4239] = { 3,	0,		sys_sched_setaffinity,		"sched_setaffinity"	},
[4240] = { 3,	0,		sys_sched_getaffinity,		"sched_getaffinity"	},
[4241] = { 2,	0,		sys_io_setup,			"io_setup"		},
[4242] = { 1,	0,		sys_io_destroy,			"io_destroy"		},
[4243] = { 5,	0,		sys_io_getevents,		"io_getevents"		},
[4244] = { 3,	0,		sys_io_submit,			"io_submit"		},
[4245] = { 3,	0,		sys_io_cancel,			"io_cancel"		},
[4246] = { 1,	TP|SE,		sys_exit,			"exit_group"		},
[4247] = { 4,	0,		sys_lookup_dcookie,		"lookup_dcookie"	},
[4248] = { 1,	TD,		sys_epoll_create,		"epoll_create"		},
[4249] = { 4,	TD,		sys_epoll_ctl,			"epoll_ctl"		},
[4250] = { 4,	TD,		sys_epoll_wait,			"epoll_wait"		},
[4251] = { 5,	TM|SI,		sys_remap_file_pages,		"remap_file_pages"	},
[4252] = { 1,	0,		sys_set_tid_address,		"set_tid_address"	},
[4253] = { 0,	0,		sys_restart_syscall,		"restart_syscall"	},
[4254] = { 7,	TD,		sys_fadvise64_64,		"fadvise64_64"		},
[4255] = { 3,	TF,		sys_statfs64,			"statfs64"		},
[4256] = { 2,	TD,		sys_fstatfs64,			"fstatfs64"		},
[4257] = { 3,	0,		sys_timer_create,		"timer_create"		},
[4258] = { 4,	0,		sys_timer_settime,		"timer_settime"		},
[4259] = { 2,	0,		sys_timer_gettime,		"timer_gettime"		},
[4260] = { 1,	0,		sys_timer_getoverrun,		"timer_getoverrun"	},
[4261] = { 1,	0,		sys_timer_delete,		"timer_delete"		},
[4262] = { 2,	0,		sys_clock_settime,		"clock_settime"		},
[4263] = { 2,	0,		sys_clock_gettime,		"clock_gettime"		},
[4264] = { 2,	0,		sys_clock_getres,		"clock_getres"		},
[4265] = { 4,	0,		sys_clock_nanosleep,		"clock_nanosleep"	},
[4266] = { 3,	TS,		sys_tgkill,			"tgkill"		},
[4267] = { 2,	TF,		sys_utimes,			"utimes"		},
[4268] = { 6,	TM,		sys_mbind,			"mbind"			},
[4269] = { 5,	TM,		sys_get_mempolicy,		"get_mempolicy"		},
[4270] = { 3,	TM,		sys_set_mempolicy,		"set_mempolicy"		},
[4271] = { 4,	0,		sys_mq_open,			"mq_open"		},
[4272] = { 1,	0,		sys_mq_unlink,			"mq_unlink"		},
[4273] = { 5,	0,		sys_mq_timedsend,		"mq_timedsend"		},
[4274] = { 5,	0,		sys_mq_timedreceive,		"mq_timedreceive"	},
[4275] = { 2,	0,		sys_mq_notify,			"mq_notify"		},
[4276] = { 3,	0,		sys_mq_getsetattr,		"mq_getsetattr"		},
[4277] = { 5,	0,		sys_vserver,			"vserver"		},
[4278] = { 5,	TP,		sys_waitid,			"waitid"		},
[4279] = { },
[4280] = { 5,	0,		sys_add_key,			"add_key"		},
[4281] = { 4,	0,		sys_request_key,		"request_key"		},
[4282] = { 5,	0,		sys_keyctl,			"keyctl"		},
[4283] = { 1,	0,		sys_set_thread_area,		"set_thread_area"	},
[4284] = { 0,	TD,		sys_inotify_init,		"inotify_init"		},
[4285] = { 3,	TD,		sys_inotify_add_watch,		"inotify_add_watch"	},
[4286] = { 2,	TD,		sys_inotify_rm_watch,		"inotify_rm_watch"	},
[4287] = { 4,	TM,		sys_migrate_pages,		"migrate_pages"		},
[4288] = { 4,	TD|TF,		sys_openat,			"openat"		},
[4289] = { 3,	TD|TF,		sys_mkdirat,			"mkdirat"		},
[4290] = { 4,	TD|TF,		sys_mknodat,			"mknodat"		},
[4291] = { 5,	TD|TF,		sys_fchownat,			"fchownat"		},
[4292] = { 3,	TD|TF,		sys_futimesat,			"futimesat"		},
[4293] = { 4,	TD|TF,		sys_newfstatat,			"fstatat64"		},
[4294] = { 3,	TD|TF,		sys_unlinkat,			"unlinkat"		},
[4295] = { 4,	TD|TF,		sys_renameat,			"renameat"		},
[4296] = { 5,	TD|TF,		sys_linkat,			"linkat"		},
[4297] = { 3,	TD|TF,		sys_symlinkat,			"symlinkat"		},
[4298] = { 4,	TD|TF,		sys_readlinkat,			"readlinkat"		},
[4299] = { 3,	TD|TF,		sys_fchmodat,			"fchmodat"		},
[4300] = { 3,	TD|TF,		sys_faccessat,			"faccessat"		},
[4301] = { 6,	TD,		sys_pselect6,			"pselect6"		},
[4302] = { 5,	TD,		sys_ppoll,			"ppoll"			},
[4303] = { 1,	TP,		sys_unshare,			"unshare"		},
[4304] = { 6,	TD,		sys_splice,			"splice"		},
[4305] = { 7,	TD,		sys_sync_file_range,		"sync_file_range"	},
[4306] = { 4,	TD,		sys_tee,			"tee"			},
[4307] = { 4,	TD,		sys_vmsplice,			"vmsplice"		},
[4308] = { 6,	TM,		sys_move_pages,			"move_pages"		},
[4309] = { 2,	0,		sys_set_robust_list,		"set_robust_list"	},
[4310] = { 3,	0,		sys_get_robust_list,		"get_robust_list"	},
[4311] = { 4,	0,		sys_kexec_load,			"kexec_load"		},
[4312] = { 3,	0,		sys_getcpu,			"getcpu"		},
[4313] = { 6,	TD,		sys_epoll_pwait,		"epoll_pwait"		},
[4314] = { 3,	0,		sys_ioprio_set,			"ioprio_set"		},
[4315] = { 2,	0,		sys_ioprio_get,			"ioprio_get"		},
[4316] = { 4,	0,		printargs,			"utimensat"		},
[4317] = { 3,	TD|TS,		sys_signalfd,			"signalfd"		},
[4318] = { 4,	TD,		sys_timerfd,			"timerfd"		},
[4319] = { 1,	TD,		sys_eventfd,			"eventfd"		},
[4320] = { 6,	TD,		sys_fallocate,			"fallocate"		},
[4321] = { 2,	TD,		sys_timerfd_create,		"timerfd_create"	},
[4322] = { 2,	TD,		sys_timerfd_gettime,		"timerfd_gettime"	},
[4323] = { 4,	TD,		sys_timerfd_settime,		"timerfd_settime"	},
[4324] = { 4,	TD|TS,		sys_signalfd4,			"signalfd4"		},
[4325] = { 2,	TD,		sys_eventfd2,			"eventfd2"		},
[4326] = { 1,	TD,		sys_epoll_create1,		"epoll_create1"		},
[4327] = { 3,	TD,		sys_dup3,			"dup3"			},
[4328] = { 2,	TD,		sys_pipe2,			"pipe2"			},
[4329] = { 1,	TD,		sys_inotify_init1,		"inotify_init1"		},
[4330] = { 5,	TD,		sys_preadv,			"preadv"		},
[4331] = { 5,	TD,		sys_pwritev,			"pwritev"		},
[4332] = { 4,	TP|TS,		sys_rt_tgsigqueueinfo,		"rt_tgsigqueueinfo"	},
[4333] = { 5,	TD,		sys_perf_event_open,		"perf_event_open"	},
[4334] = { 4,	TN,		sys_accept4,			"accept4"		},
[4335] = { 5,	TN,		sys_recvmmsg,			"recvmmsg"		},
[4336] = { 2,	TD,		sys_fanotify_init,		"fanotify_init"		},
[4337] = { 6,	TD|TF,		sys_fanotify_mark,		"fanotify_mark"		},
[4338] = { 4,	0,		sys_prlimit64,			"prlimit64"		},
[4339] = { 5,	TD|TF,		sys_name_to_handle_at,		"name_to_handle_at"	},
[4340] = { 3,	TD,		sys_open_by_handle_at,		"open_by_handle_at"	},
[4341] = { 2,	0,		sys_clock_adjtime,		"clock_adjtime"		},
[4342] = { 1,	TD,		sys_syncfs,			"syncfs"		},
[4343] = { 4,	TN,		sys_sendmmsg,			"sendmmsg"		},
[4344] = { 2,	TD,		sys_setns,			"setns"			},
[4345] = { 6,	0,		sys_process_vm_readv,		"process_vm_readv"	},
[4346] = { 6,	0,		sys_process_vm_writev,		"process_vm_writev"	},
[4347] = { 5,	0,		sys_kcmp,			"kcmp"			},
[4348] = { 3,	TD,		sys_finit_module,		"finit_module"		},
[4349] = { 3,	0,		sys_sched_setattr,		"sched_setattr"		},
[4350] = { 4,	0,		sys_sched_getattr,		"sched_getattr"		},
[4351] = { 5,	TD|TF,		sys_renameat2,			"renameat2"		},
[4352] = { 3,	0,		sys_seccomp,			"seccomp",		},
[4353] = { 3,	0,		sys_getrandom,			"getrandom",		},
[4354] = { 2,	TD,		sys_memfd_create,		"memfd_create",		},
[4355] = { 3,	TD,		sys_bpf,			"bpf",			},
[4356] = { 5,	TD|TF|TP|SE|SI,	sys_execveat,			"execveat",		},
[4357 ... 4399] = { },

# define SYS_socket_subcall      4400
# include "subcall.h"

/* end of Linux o32 */ [SYS_socket_subcall + SYS_socket_nsubcalls + SYS_ipc_nsubcalls ... 4999] = { },

#else

# include "syscallent-o32-stub.h"
/* end of Linux o32 */ [4400 ... 4999] = { },

#endif
